LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Mandriva
User Name
Password
Mandriva This Forum is for the discussion of Mandriva (Mandrake) Linux.

Notices


Reply
  Search this Thread
Old 11-23-2004, 02:21 PM   #1
pbibb1657
LQ Newbie
 
Registered: Oct 2004
Location: Perry GA
Distribution: Mandrake 10.0 official
Posts: 4

Rep: Reputation: 0
PKG_CONFIG_PATH and other questions


Hello
Im trying to istall gnomad2, its the software needed to connect my nomad jb3 to my laptop running Mandrake 10.0 power pack and the folowing message comes up Im trying to do this configure using the gnome desktop version and IM almost postive that I do have all of the things needed to run gnomad2 I was wondering if some one could explain this problem to me as Im pretty new to linux in general. Also I looked and found some directions ti urpmi I was wondering how this could pertain to my problem I have been to the urpmi site and done the rutgers and plf urpmi s??? now what should i do when i try to urpmi the needed files its says they are already there. If anyone knows a basic tutorial covering this I would be interested

Phillip
configure: error: Library requirements ( glib-2.0 gthr ead-2.0 gtk+-2.0 libgnomeui-2.0 l ibnjb id3tag) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.
[root@laptop gnomad2-2.5.0]#
 
Old 11-23-2004, 04:53 PM   #2
Andrew Benton
Senior Member
 
Registered: Aug 2003
Location: Birkenhead/Britain
Distribution: Linux From Scratch
Posts: 2,073

Rep: Reputation: 64
When I used to use Mandrake this error usually meant that I needed to install some development library or other with the package managment tools in the Mandrake Control Centre. The dev libs have the headers and stuff for compiling. For instance if pkg-config is complaining that it can't find glib-2.0 it means you need to look for something that probably (but not always) starts with lib and it probably has dev or devel in the title too. It'll also have some numbers (they can be important - glib-1.2 is not the same as glib-2.0) and no doubt it will have mdk in it too. libglib-2.0-2.4dev-mdk perhaps? You'll know it when you see it.
 
Old 11-23-2004, 04:58 PM   #3
pbibb1657
LQ Newbie
 
Registered: Oct 2004
Location: Perry GA
Distribution: Mandrake 10.0 official
Posts: 4

Original Poster
Rep: Reputation: 0
ok thanks ill go to the mandrake list and istall the dev or devel s as needed and try again ,is there any harm in recompiling if it still doesnt work??
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Pkg_config_path rlnd Linux - Software 15 03-06-2009 03:26 PM
Pkg_config_path Kiwi UK Linux - Software 5 12-18-2004 02:36 PM
PKG_CONFIG_PATH now working Kilahchris Linux - Software 4 08-26-2004 04:19 PM
Pkg_config_path box_l Mandriva 3 08-03-2004 05:53 AM
Pkg_config_path kilgore_trout Linux - Software 0 09-08-2003 01:18 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Mandriva

All times are GMT -5. The time now is 03:38 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration